{% extends 'base.html' %}
{% block title %}Nouveau projet{% endblock %}

{% block body %}
    <div class="p-4">
        <h1 class="lead display-4">Nouveau projet
            {% load static %}
            <img src="{% static 'img/img.png' %}" width="49"></h1>
        </h1>
        <p>Créer votre propre projet pour le bien de notre belle planète !</p>
        <hr class="my-4">

        <form class="form-horizontal" method="post" action="/projects/new">
            {% csrf_token %}
            <div class="form-group">
                <label for="title">Titre du projet</label>
                <input type="text" class="form-control" name="title" id="title" placeholder="Titre">
            </div>
            <div class="form-group">
                <label for="montant_max">Montant à récolter</label>
                <input type="number" class="form-control" min="1" max="10000" value="100" name="montant_max"
                       id="montant_max"
                       placeholder="10 000 €">
            </div>
            <div class="form-group">
                <label for="montant_max">Description</label>
                <textarea class="form-control" id="description" name="description" placeholder="Parlez de votre projet"
                          rows="10" cols="100"></textarea>
            </div>
            <div class="form-group">
                <label for="image">Insérer une image :</label>
                <input id="image" name="image" class="form-control" type="file">
            </div>
            <div class="form-group">
                <div>
                    <button id="button" type="submit" class="btn btn-success">Créer le projet</button>
                </div>
            </div>
        </form>

        <script>
            $("#image").change(() => {
                let input = $('#image');
                let formData = new FormData();
                formData.append('image', input.prop('files')[0]);

                fetch("/projects/upload", {
                    headers: {
                        'Accept': 'application/json',
                        'X-Requested-With': 'XMLHttpRequest', //Necessary to work with request.is_ajax()
                    },
                    method: 'post',
                    body: formData,

                }).then(response => {
                    response.text().then(function (text) {
                        let path = text.replace('users', '');
                        $("#description")[0].value += `<img src="${path}" style="max-width:100px">`;
                        input.value = "";
                    });

                }).catch(error => {
                    console.log(error) // Handle the error response object
                    console.log("CECI EST UN ERREUR");
                    $("#error-modal-title").text("Impossible D'envoyer une image");
                    $("#error-modal-description").text("Une erreur est survenue lors de l'envoi de l'image");
                    $('#error-modal').modal('show');
                });
            })
        </script>
    </div>
{% endblock %}